%global momorel 1
%global kdever 4.2.0
%global kdelibsrel 1m
%global qtver 4.4.3
%global qtrel 1m
%global cmakever 2.6.2
%global cmakerel 1m
%global ftpdirver 4.2.0
%global sourcedir stable/%{ftpdirver}/src

Name:          kdebase-runtime
Summary:       K Desktop Environment - Runtime 
Version:       %{kdever}
Release:       %{momorel}m%{?dist}
License:       GPLv2
Group:         User Interface/Desktops
URL:           http://www.kde.org/
Source0:       ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
NoSource:      0
Source1:       khelpcenter.desktop
Patch0:        kdebase-runtime-4.1.70-pulseaudio.patch
Patch1:        kdebase-runtime-4.1.65-knetattach.patch
Patch2:        kdebase-runtime-4.1.1-iconthemes-inherit.patch
## Upstream patches
# http://bugs.kde.org/178479
Patch100: kdebase-runtime-4.2.0-kde#178479.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#ifarch noarch
%define icons 1
%define icons_svg 1
#else
%define rest 1
#endif

Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils
Requires: kdelibs >= %{version}-%{kdelibsrel}
Requires: kdepimlibs >= %{version}
Requires: eject
Requires: hicolor-icon-theme
Requires: htdig
BuildRequires: alsa-lib-devel
BuildRequires: cmake >= %{cmakever}-%{cmakerel}
BuildRequires: clucene-core-devel
BuildRequires: giflib-devel
BuildRequires: hal-devel
BuildRequires: kdelibs-devel >= %{version}-%{kdelibsrel}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: libsmbclient-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: OpenEXR-devel >= 1.6.1
BuildRequires: openssl-devel
BuildRequires: pcre-devel
BuildRequires: pkgconfig
BuildRequires: phonon-devel >= 4.3.0
BuildRequires: qimageblitz-devel
BuildRequires: soprano-devel >= 2.2.1
BuildRequires: strigi-devel >= 0.6.3-2m
BuildRequires: xine-lib
# needed for phonon-xine VideoWidget, also need xine-lib built with libxcb support
BuildRequires: libxcb-devel
# needed?
BuildRequires: xorg-x11-font-utils
BuildRequires: xorg-x11-proto-devel
BuildRequires: zlib-devel
BuildRequires: ImageMagick

%description
Core runtime for the K Desktop Environment 4.

%package -n oxygen-icon-theme
Summary: Oxygen icon theme
Group: User Interface/Desktops
%description -n oxygen-icon-theme
%{summary}.

%package -n oxygen-icon-theme-scalable
Summary: Oxygen icon theme, scalable(svg) icons
Group: User Interface/Desktops
Requires: oxygen-icon-theme = %{version}-%{release}
%description -n oxygen-icon-theme-scalable
%{summary}.

%prep
%setup -q -n kdebase-runtime-%{version}
%patch0 -p1 -b .pulseaudio
%patch1 -p1 -b .knetattach
%patch2 -p1 -b .iconthemes-inherit

# upstream patches
%patch100 -p5 -b .kde#178479

%build
mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} \
        ..
popd

%if 0%{?rest}
make %{?_smp_mflags} -C %{_target_platform}
%endif

%install
rm -rf %{buildroot}

%if 0%{?rest}
make install DESTDIR=%{buildroot} -C %{_target_platform}
%endif

%if 0%{?icons}
make install DESTDIR=%{buildroot} -C %{_target_platform}/pics/oxygen
%if ! 0%{?rest}
ln -sf oxygen %{buildroot}%{_kde4_iconsdir}/default.kde4
%endif
%else
rm -f %{buildroot}%{_kde4_iconsdir}/default.kde4
rm -rf %{buildroot}%{_kde4_iconsdir}/oxygen
%endif

# omit hicolor index.theme, use one from hicolor-icon-theme
rm -f %{buildroot}%{_kde4_iconsdir}/hicolor/index.theme

%if 0%{?icons_svg}
# conflicts with kmplayer-0.11.0-0.20080123.4m
rm -f %{buildroot}%{_kde4_iconsdir}/oxygen/scalable/apps/kmplayer.svgz

find %{buildroot}%{_kde4_iconsdir}/oxygen/scalable -name "*.svgz" > svg.list
sed -e "s|^%{buildroot}||" svg.list > svg-include.list
sed -e "s|^%{buildroot}|%exclude |" svg.list > svg-exclude.list
%else
find %{buildroot}%{_kde4_iconsdir}/oxygen/scalable -name "*.svgz" | \
  xargs --no-run-if-empty rm -fv
%endif

# remove country flags because some people/countries forbid some other
# people/countries' flags :-(
rm -f %{buildroot}%{_kde4_datadir}/locale/l10n/*/flag.png

install -p -D %{SOURCE1} %{buildroot}%{_datadir}/services/khelpcenter.desktop

# remove conflicting file(s) with kdelibs3
rm -f  %{buildroot}%{_kde4_libdir}/libkwalletbackend.so

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig ||:
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%if 0%{?icons}
%post -n oxygen-icon-theme
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :

%postun -n oxygen-icon-theme
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%endif

%if 0%{?icons_svg}
%post -n oxygen-icon-theme-scalable
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :

%postun -n oxygen-icon-theme-scalable
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%endif

%files
%defattr(-,root,root,-)
%{_kde4_bindir}/*
%{_kde4_appsdir}/cmake/modules/*
%{_kde4_appsdir}/desktoptheme/default/colors
%{_kde4_appsdir}/desktoptheme/default/dialogs
%{_kde4_appsdir}/desktoptheme/default/metadata.desktop
%{_kde4_appsdir}/desktoptheme/default/opaque
%{_kde4_appsdir}/desktoptheme/default/widgets/*
%{_kde4_appsdir}/drkonqi
%{_kde4_appsdir}/kcm_componentchooser/*
%{_kde4_appsdir}/kcm_phonon
%{_kde4_appsdir}/kcmlocale
%{_kde4_appsdir}/kconf_update/*
%{_kde4_appsdir}/kde
%{_kde4_appsdir}/khelpcenter
%{_kde4_appsdir}/kio_bookmarks
%{_kde4_appsdir}/kio_desktop
%{_kde4_appsdir}/kio_finger
%{_kde4_appsdir}/kio_info
%{_kde4_appsdir}/kio_man
%{_kde4_appsdir}/kio_thumbnail
%{_kde4_appsdir}/konqueror
%{_kde4_appsdir}/ksmserver
%{_kde4_appsdir}/kstyle
%{_kde4_appsdir}/libphonon
%{_kde4_appsdir}/nepomuk/ontologies
%{_kde4_appsdir}/nepomukstorage
%{_kde4_appsdir}/nepomukstrigiservice
%{_kde4_appsdir}/phonon
%{_kde4_appsdir}/remoteview
%{_kde4_datadir}/config.kcfg/
%{_datadir}/dbus-1/interfaces/*
%{_datadir}/dbus-1/services/*
%{_kde4_iconsdir}/hicolor/*/apps/*.png
%{_kde4_iconsdir}/hicolor/*/apps/*.svgz
%{_kde4_datadir}/autostart/nepomukserver.desktop
%{_kde4_datadir}/config/khotnewstuff.knsrc
%{_kde4_datadir}/config/emoticons.knsrc
%{_kde4_datadir}/config/icons.knsrc
%{_kde4_datadir}/kde4/services/*.protocol
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/services/kded/*
%{_kde4_datadir}/kde4/services/searchproviders
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/sounds/*
%{_kde4_docdir}/HTML/en/kcontrol
%{_kde4_docdir}/HTML/en/kdebugdialog
%{_kde4_docdir}/HTML/en/kdesu
%{_kde4_docdir}/HTML/en/khelpcenter
%{_kde4_docdir}/HTML/en/kioslave/*
%{_kde4_docdir}/HTML/en/knetattach
%{_kde4_libdir}/libkdeinit4_*.so
%{_kde4_libdir}/libkwalletbackend.so.*
%{_kde4_libdir}/kconf_update_bin/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/kde4/libexec/*
%{_kde4_libdir}/kde4/plugins/phonon_platform/*
%{_kde4_libdir}/kde4/plugins/styles/*
%{_libdir}/strigi/*
%{_mandir}/man1/*
%{_kde4_sysconfdir}/xdg/menus/kde-information.menu
%{_kde4_datadir}/applications/kde4/Help.desktop
%{_kde4_datadir}/applications/kde4/knetattach.desktop
%{_kde4_configdir}/kshorturifilterrc
%{_kde4_datadir}/desktop-directories/*.directory
%{_kde4_datadir}/emoticons/kde4/
%{_kde4_datadir}/locale/en_US/entry.desktop
%{_kde4_datadir}/locale/l10n/*.desktop
%{_kde4_datadir}/locale/l10n/*/entry.desktop
%{_datadir}/services/khelpcenter.desktop

%if 0%{?icons}
%files -n oxygen-icon-theme %{?icons_svg:-f svg-exclude.list}
%defattr(-,root,root,-)
%{_kde4_iconsdir}/default.kde4
%{_kde4_iconsdir}/oxygen/

%if 0%{?icons_svg}
%files -n oxygen-icon-theme-scalable -f svg-include.list
%defattr(-,root,root,-)
%endif
%endif

%changelog
* Sat Jan 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.0-1m)
- update to KDE 4.2.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.96-2m)
- rebuild against rpm-4.6

* Fri Jan 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.96-1m)
- update to KDE 4.2 RC

* Sun Jan 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.87-3m)
- adjust %%files to avoid conflicting

* Mon Jan  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.87-2m)
- rebuild against strigi-0.6.2
- adjust %%files

* Sun Jan  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.87-1m)
- update to 4.1.87

* Sat Dec 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.85-1m)
- update to 4.1.85

* Wed Dec 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.82-1m)
- update to 4.1.82

* Sun Nov 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.81-1m)
- update to 4.1.81

* Fri Nov 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.80-1m)
- update to 4.1.80

* Fri Nov 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.73-1m)
- update to 4.1.73

* Fri Nov  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.72-1m)
- update to 4.1.72

* Fri Oct 24 2008 NAEITA Koichi <pulsar@momonga-linux.org>
- (4.1.71-1m)
- update to 4.1.71

* Sat Oct 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.70-1m)
- update to 4.1.70

* Sat Oct 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.69-1m)
- update to 4.1.69

* Fri Oct  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.68-1m)
- update to 4.1.68

* Sat Sep 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.67-1m)
- update to 4.1.67

* Tue Sep 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.66-1m)
- update to 4.1.66

* Sun Sep  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.65-2m)
- fix #460710, import patch1 from Fedora

* Sat Sep  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.65-1m)
- update to 4.1.65

* Thu Sep  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.64-1m)
- update to 4.1.64

* Wed Sep  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.0-2m)
- update pulseaudio.patch
 +* Wed Aug 13 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-3
 +- fix PA not being default in the Xine backend (KCM part, see phonon-4.2.0-4)

- * Tue Sep  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.64-1m)
- - update to 4.1.64

- * Sat Aug 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.63-1m)
- - update to 4.1.63

- * Thu Aug 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.62-1m)
- - update to 4.1.62

- * Sun Aug 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.61-1m)
- - update to 4.1.61

* Wed Jul 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-1m)
- update to KDE 4.1.0

* Sat Jul 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.99-1m)
- update to 4.0.99

* Thu Jul 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.98-1m)
- update to KDE 4.1 RC 1

* Sat Jul  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.85-1m)
- update to 4.0.85

* Sun Jun 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.84-1m)
- minor version up for KDE 4.1 beta 2

* Fri Jun 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.83-2m)
- modify %%files for smart handling of a directory

* Thu Jun 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.83-1m)
- update to KDE 4.1 beta 2

* Fri May 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.80-1m)
- update to KDE 4.1 beta 1

* Mon May 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.4-3m)
- remove kmplayer.svgz to avoid conflicting with kmplayer

* Sun May 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.4-2m)
- add missing icons for menu entry
- Requires: hicolor-icon-theme

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.4-1m)
- update to 4.0.4

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.3-2m)
- import Patch1 and Patch2 from Fedora devel

* Mon Apr  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.3-1m)
- update to 4.0.3
- import Patch0 from Fedora devel

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-5m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.2-4m)
- rebuild against OpenEXR-1.6.1

* Tue Mar 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.2-3m)
- add Requires: htdig for khelpcenter

* Tue Mar 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.2-2m)
- remove Obsoletes and Provides: kdebluetooth

* Sat Mar  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.2-1m)
- update to 4.0.2

* Sat Feb  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.1-1m)
- update to 4.0.1

* Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-2m)
- release _kde4_docdir/HTML/en, it's provided by kdelibs

* Sat Jan 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.0-1m)
- KDE4
- import from Fedora devel

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-1
- kde-3.97.0

* Tue Dec 04 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.2-4 
- disable kioslave/smb (f9+, samba-3.2.x/gplv3 ickiness)

* Sun Dec 02 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.2-3
- build without libxcb in F7 as we STILL don't have it (see #373361)

* Sat Dec 01 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.2-2
- no longer set kde3_desktop on F9
- update file list for !kde3_desktop (Sebastian Vahl)
- don't ship country flags even for full version (as in kdebase 3)

* Thu Nov 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.2-1
- kde-3.96.2

* Tue Nov 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.1-1
- kde-3.96.1

* Sun Nov 18 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-3
- fix %%files (unpackaged %%_libdir/strigi/strigiindex_sopranobackend.so)

* Sat Nov 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-2
- BR: clucene-core-devel libsmbclient-devel libXScrnSaver-devel

* Thu Nov 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-1
- kde-3.96.0

* Fri Nov 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.2-1
- kdebase-runtime-3.95.2

* Wed Nov 07 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.0-1
- kdebase-runtime-3.95.0

* Fri Nov 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.94.0-3
- Provides: oxygen-icon-theme ...

* Thu Oct 25 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.94.0-2
- patch dolphin.desktop to get Dolphin to start from the menu

* Fri Oct 19 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.94.0-1
- update to 3.94.0

* Thu Oct 4 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-5
- don't make this the default kdebase on F9 yet
- drop ExcludeArch: ppc64 (#300601)

* Fri Sep 21 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-4
- ExcludeArch: ppc64 (#300601)
- update description

* Thu Sep 13 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-3
- add missing BR alsa-lib-devel

* Wed Sep 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-2
- remove files which conflict with KDE 3
- move devel symlinks to %%{_kde4_libdir}/kde4/devel/
- Conflicts with KDE 3 versions of dolphin pre d3lphin rename

* Wed Sep 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-1
- update to 3.93.0
- drop kde4home patch (no longer applied)
- drop KDM ConsoleKit patch (KDM is now in kdebase-workspace)
- remove kdebase-kdm Obsoletes/Provides (for the same reason)
- remove KDM (and KDM session) setup code (for the same reason)
- remove rss-glx conflict (Plasma is now in kdebase-workspace)
- remove redhat-startkde patch (startkde is now in kdebase-workspace)
- remove kde4-opt.sh (all the code in it is commented out)
- remove kde4-xdg_menu_prefix.sh (only needed for kdebase-workspace)
- remove bogus BRs on automake and libtool
- remove workspace-only BRs
- add BR qimageblitz-devel, xine-lib-devel (all), libxcb-devel (F8+)
- remove workspace files and directories
- handle icons (moved from kdelibs4)
- add mkdir %%{buildroot} in %%install


* Mon Jul 30 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.92.0-3
- bump rss-glx Conflicts because the conflict is still there in 0.8.1.p-7.fc8
- rss-glx conflict only needed if "%%{_prefix}" == "/usr"
- consolekit_kdm patch only needs BR dbus-devel, not ConsoleKit-devel

* Mon Jul 30 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.92.0-2
- consolekit_kdm patch (#228111, kde#147790)
- update startkde patch

* Sat Jul 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.92.0-1
- kde-3.92 (kde-4-beta1)

* Wed Jul 25 2007 Than Ngo <than@redhat.com> - 3.91.0-6
- fix startkde
- add env/shutdown directory

* Thu Jul 19 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-5
- kde4.desktop: fix session Name

* Tue Jul 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-4
- cleanup/fix kde4.desktop
- kdepimlibs4->kdepimlibs

* Thu Jun 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-3
- fix %%_sysconfdir for %%_prefix != /usr case.

* Thu Jun 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-2
- updated kde4home.diff
- CMAKE_BUILD_TYPE=RelWithDebInfo (we're already using %%optflags)

* Wed Jun 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-1
- kde-3.91.0
- CMAKE_BUILD_TYPE=debug

* Sat Jun 23 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.90.1-2
- specfile cleanup (%%prefix issues mostly)

* Sun May 13 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.90.1-1
- update to 3.90.1
- bump cmake BR to 2.4.5 as required upstream now
- don't set execute bits by hand anymore, cmake has been fixed
- use multilibs in /opt/kde4
- add BR openssl-devel, NetworkManager-devel, bluez-libs-devel
- add explicit BRs on strigi-devel, zlib-devel, bzip2-devel, libpng-devel
  in case we want to drop the Rs on these from kdelibs4-devel
- consistently add all BRs as -devel Rs, not just almost all, until we can
  figure out which, if any, are really needed
- BR libsmbclient-devel instead of samba on F>=7, EL>=6

* Fri Mar 23 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-4
- restore minimum version requirement for cmake
- build against libxklavier on EL5
- don't set QT4DIR and PATH anymore, qdbuscpp2xml has been fixed

* Mon Mar 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.80.3-3
- +eXecute perms for %%{_prefix}/lib/*

* Fri Feb 23 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-2
- rebuild for patched FindKDE4Internal.cmake

* Wed Feb 21 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-1
- update to 3.80.3
- update and improve parallel-installability patch
- drop obsolete joydevice.h patch
- remove translations of "KDE" without the "4" from kde4.desktop
- resync BR and -devel Requires
- don't set LD_LIBRARY_PATH
- set QT4DIR and PATH so CMake's direct $QT4DIR/qdbuscpp2xml calls work
- fix missing underscore in _datadir
- install kde4.desktop in install, not prep
- fix invalid syntax in kde4.desktop

* Wed Nov 29 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.80.2-0.3.20061003svn
- dropped -DCMAKE_SKIP_RPATH=TRUE from cmake
- compiling with QA_RPATHS=0x0003; export QA_RPATHS

* Sun Nov 26 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.80.2-0.2.20061003svn
- parallel build support
- added -DCMAKE_SKIP_RPATH=TRUE to cmake to skip rpath
- dropped qt4-devel >= 4.2.0, kdelibs4-devel as BR
- spec file cleanups and added clean up in %%install
- fixed PATH for libkdecore.so.5; cannot open shared object file;
- added Logitech mouse support
- added dbus-devel, hal-devel and more as BR
- fixed broken joydevice.h - Kevin Kofler
- added file kde4.desktop

* Sun Oct 08 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.2-0.1.20061003svn
- first Fedora RPM (parts borrowed from the OpenSUSE kdebase 4 RPM and the Fedora kdebase 3 RPM)
- apply parallel-installability patch
* Sun Oct 08 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.2-0.1.20061003svn
- first Fedora RPM (parts borrowed from the OpenSUSE kdebase 4 RPM and the Fedora kdebase 3 RPM)
- apply parallel-installability patch
